{# Pagination dropdown used in search results #}

<div class="per_page_dropdown">
    <form>
        <input type="hidden" id="current_per_page" value="{{ get_query_var('civicrm_limit', 10) }}" />

        <input type="hidden" name="civicrm_search[name]" value="{{ get_query_var('civicrm_search').name }}" />
        <input type="hidden" name="civicrm_search[province]" value="{{ get_query_var('civicrm_search').province }}" />
        <input type="hidden" name="civicrm_search[tag]" value="{{ get_query_var('civicrm_search').tag }}" />
        <input type="hidden" name="civicrm_offset" value="{{ get_query_var('civicrm_offset', 0) }}" />

        <select name="civicrm_limit" id="per_page">
            {% for limit in [10, 20, 40, 100] %}
                <option
                    {% if limit == get_query_var('civicrm_limit', 10) %}
                        selected
                    {% endif %}
                    data-posts-per-page="{{ add_query_arg('civicrm_limit', limit) }}"
                    value="{{ limit }}">
                    {{ __('%s per page', 'civicrm-frontoffice')|format(limit) }}
                </option>
            {% endfor %}
        </select>
        <input type="submit" class="is-hidden">
    </form>
</div>
